﻿using C1.WPF;
using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml.Linq;

namespace ImageCellBindBooking
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DataTable _dtBookings;
        private List<string> _statusList;
        private List<string> _names;

        public MainWindow()
        {
            InitializeComponent();

            _statusList = new List<string>() { "Unknown", "Reserved", "Cancelled" };
            _names = new List<string>() { "Alex", "Charlie", "Thomas", "Erica", "Peter" };

            _dtBookings = new DataTable();
            _dtBookings.Columns.Add("SNo", typeof(int));
            _dtBookings.Columns.Add("Name", typeof(string));
            _dtBookings.Columns.Add("Status", typeof(string));



            PopulateDTBookings();
            flexgrid.DataContext = _dtBookings.DefaultView;
            flexgrid.CellFactory = new MyCellFactory(Resources["myDatatemplateSelector"] as MyTemplateSelector);
        }

        public void PopulateDTBookings()
        {
            DataRow dataRow;
            Random random = new Random();
            for (int i = 0; i < 5; i++)
            {
                dataRow = _dtBookings.NewRow();
                dataRow[0] = i + 1; ;
                dataRow[1] = _names[i];
                dataRow[2] = _statusList[random.Next() % _statusList.Count];
                _dtBookings.Rows.Add(dataRow);
            }


        }
    }
}
