﻿using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace ImageCellBindBooking
{
    public class MyTemplateSelector : DataTemplateSelector
    {
        public DataTemplate UnknownStatusTemplate { get; set; }
        public DataTemplate ReservedTemplate { get; set; }
        public DataTemplate CancelledTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if(item == null)
            {
                return null;
            }
            C1FlexGrid c1FlexGrid = container as C1FlexGrid;
            if(c1FlexGrid != null)
            {
                string status = ((DataRowView)item).Row["Status"].ToString();
                if (status == "Cancelled")
                {
                    return CancelledTemplate;
                }
                else if(status == "Reserved")
                {
                    return ReservedTemplate;
                }
                else
                {
                    return UnknownStatusTemplate;
                }
            }
            else
            {
                return null;
            }
        }
    }
}
